APROPOS(1)

NOMBRE
apropos - buscar entre las páginas del manual y las descripciones

SINOPSIS
apropos [-dhV] [-e|-w|-r ] [-m sistema[,...]] [-M ruta] palabra_clave ...

DESCRIPCIÓN
Cada página de manual contiene una pequeña descripción. apropos busca dentro de esas descripciones la presencia de la palabra_clave. La palabra_clave es normalmente una expresión regular, como si se hubiese usado (-r) , puede contener caracteres comodín (-w) , o ser la palabra clave exacta (-e) . Cuando se usan estas opciones, puede ser necesario entrecomillar la palabra_clave o anteponer (\) a los caracteres especiales para evitar que la shell los interprete. Las reglas estándar permiten buscar en nombres de página y en las palabras completas de la descripción de cada página.

OPCIONES

-d, --debug
    Imprime información de depuración.

-r, --regex
    Interpreta cada palabra clave como una expresión regular. Este comportamiento es el predeterminado. Cada palabra clave se comparará con los nombres de las páginas y con las descripciones de forma independiente. La comparación puede tener éxito con cualquier parte de ellas. La comparación no tiene por qué comprender palabras completas, sino también partes de ellas.

-w, --wildcard
    Interpreta cada palabra clave como un patrón que incluye caracteres comodín del estilo de la shell. Cada palabra clave se comparará con los nombres de las páginas y con las descripciones de forma independiente. La comparación sólo tendrá éxito si la palabra clave una vez expandida corresponde con una descripción completa o un nombre de página.

-e, --exact
    Cada palabra clave se comparará de forma exacta con los nombres de páginas y las descripciones.

-m sistema [,...], --systems=sistema [,...]
    Si este sistema puede acceder a las páginas de manual de otro sistema operativo, se puede activar su búsqueda mediante esta opción. Para buscar en las páginas de NuevoSO, use la opción -m NuevoSO. El sistema especificado puede ser en realidad una lista separada por comas, de nombres de sistemas operativos. Para incluir la base de datos de descripciones whatis del sistema operativo nativo en la búsqueda basta incluir man como nombre de sistema en la lista de argumentos. Esta opción hace que se ignore el contenido de la variable de entorno $SYSTEM.

-M ruta, --manpath=ruta
    Especifica un conjunto de jerarquías de páginas de manual separados por "dos puntos". Por defecto, apropos utiliza la variable de entorno $MANPATH a menos que esté vacía o no exista, en cuyo caso determinará la ruta para las páginas de manual apropiadas basándose en su variable de entorno $PATH. Esta opción hace que se ignore el contenido de la variable de entorno $MANPATH.

-h, --help
    Imprime un mensaje de ayuda y termina.

-V, --version
    Presenta la información sobre la version y el autor.

ESTADO DE SALIDA

0   Ejecución terminada con éxito.

1   Error de uso, sintaxis o de fichero de configuración.

2   Error operacional.

16  No se ha encontrado nada que cuadre con los criterios especificados.

ENTORNO

SYSTEM
    Si existe $SYSTEM, tendrá el mismo efecto que si se especifica su contenido como el argumento de la opción -m .

MANPATH
    Si existe $MANPATH, su valor es interpretado como la ruta al conjunto de jerarquías de páginas a usar separadas por "dos puntos".

POSIXLY_CORRECT
    Si $POSIXLY_CORRECT existe, incluso si su valor es nulo, apropos realizará por defecto una búsqueda como expresión regular (-r). De todas formas, este es el comportamiento predeterminado actualmente.

FICHEROS

/usr/share/man/index.(bt|db|dir|pag)
    Índice tradicional del caché de la base de datos global.

/var/cache/man/index.(bt|db|dir|pag)
    Índice alternativo o de acuerdo con el FHS del caché de la base de datos global.

/usr/share/man/.../whatis
    Base de datos tradicional de tipo texto de whatis .

VÉASE TAMBIÉN
whatis(1), man(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk)
Fabrizio Polacco (fpolacco@debian.org).
Traducción realizada por Luis F. González (luisgh@cogs.susx.ac.uk), y
revisada por David Martínez (ender@adi.uam.es).